com.lowagie.text

## Class HeaderFooter

- java.lang.Object
- - com.lowagie.text.Rectangle
  - - com.lowagie.text.HeaderFooter

All Implemented Interfaces:
  Element

Direct Known Subclasses:
  RtfHeaderFooter, RtfHeaderFooterGroup

    public class HeaderFooter
    extends Rectangle

A `HeaderFooter`-object is a `Rectangle` with text that can be put above and/or below every page.

Example:

>      HeaderFooter header = new HeaderFooter(new Phrase("This is a header."), false);
>      HeaderFooter footer = new HeaderFooter(new Phrase("This is page "), new Phrase("."));
>      document.setHeader(header);
>      document.setFooter(footer);

### Field Summary

Fields
`private Phrase` `after` This is the `Phrase` that comes after the pagenumber.
`private int` `alignment` This is alignment of the header/footer.
`private Phrase` `before` This is the `Phrase` that comes before the pagenumber.
`private boolean` `numbered` Does the page contain a pagenumber?
`private int` `pageN` This is number of the page.

### Fields inherited from class com.lowagie.text.Rectangle

`backgroundColor, border, borderColor, borderColorBottom, borderColorLeft, borderColorRight, borderColorTop, borderWidth, borderWidthBottom, borderWidthLeft, borderWidthRight, borderWidthTop, BOTTOM, BOX, LEFT, llx, lly, NO_BORDER, RIGHT, rotation, TOP, UNDEFINED, urx, ury, useVariableBorders`

### Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

### Constructor Summary

Constructors
Constructor and Description
`HeaderFooter(Phrase before, boolean numbered)` Constructs a `Header`-object with a pagenumber at the end.
`HeaderFooter(Phrase before, Phrase after)` Constructs a `HeaderFooter`-object.

### Method Summary

Methods
`int` `alignment()` Gets the alignment of this HeaderFooter.
`Phrase` `getAfter()` Gets the part that comes after the pageNumber.
`Phrase` `getBefore()` Gets the part that comes before the pageNumber.
`boolean` `isNumbered()` Checks if the HeaderFooter contains a page number.
`Paragraph` `paragraph()` Gets the `Paragraph` that can be used as header or footer.
`void` `setAlignment(int alignment)` Sets the alignment.
`void` `setPageNumber(int pageN)` Sets the page number.

### Methods inherited from class com.lowagie.text.Rectangle

`cloneNonPositionParameters, disableBorderSide, enableBorderSide, getBackgroundColor, getBorder, getBorderColor, getBorderColorBottom, getBorderColorLeft, getBorderColorRight, getBorderColorTop, getBorderWidth, getBorderWidthBottom, getBorderWidthLeft, getBorderWidthRight, getBorderWidthTop, getBottom, getBottom, getChunks, getGrayFill, getHeight, getLeft, getLeft, getRight, getRight, getRotation, getTop, getTop, getWidth, hasBorder, hasBorders, isContent, isNestable, isUseVariableBorders, normalize, process, rectangle, rotate, setBackgroundColor, setBorder, setBorderColor, setBorderColorBottom, setBorderColorLeft, setBorderColorRight, setBorderColorTop, setBorderWidth, setBorderWidthBottom, setBorderWidthLeft, setBorderWidthRight, setBorderWidthTop, setBottom, setGrayFill, setLeft, setRight, setTop, setUseVariableBorders, softCloneNonPositionParameters, toString, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### numbered

    private boolean numbered

Does the page contain a pagenumber?

#### before

    private Phrase before

This is the `Phrase` that comes before the pagenumber.

#### pageN

    private int pageN

This is number of the page.

#### after

    private Phrase after

This is the `Phrase` that comes after the pagenumber.

#### alignment

    private int alignment

This is alignment of the header/footer.

### Constructor Detail

#### HeaderFooter

    public HeaderFooter(Phrase before,
                Phrase after)

Constructs a `HeaderFooter`-object.

Parameters:
  `before` - the `Phrase` before the pagenumber
  `after` - the `Phrase` before the pagenumber

#### HeaderFooter

    public HeaderFooter(Phrase before,
                boolean numbered)

Constructs a `Header`-object with a pagenumber at the end.

Parameters:
  `before` - the `Phrase` before the pagenumber
  `numbered` - `true` if the page has to be numbered

### Method Detail

#### isNumbered

    public boolean isNumbered()

Checks if the HeaderFooter contains a page number.

Returns:
  true if the page has to be numbered

#### getBefore

    public Phrase getBefore()

Gets the part that comes before the pageNumber.

Returns:
  a Phrase

#### getAfter

    public Phrase getAfter()

Gets the part that comes after the pageNumber.

Returns:
  a Phrase

#### setPageNumber

    public void setPageNumber(int pageN)

Sets the page number.

Parameters:
  `pageN` - the new page number

#### setAlignment

    public void setAlignment(int alignment)

Sets the alignment.

Parameters:
  `alignment` - the new alignment

#### paragraph

    public Paragraph paragraph()

Gets the `Paragraph` that can be used as header or footer.

Returns:
  a `Paragraph`

#### alignment

    public int alignment()

Gets the alignment of this HeaderFooter.

Returns:
  alignment